package com.itbz.web.servlet;

import com.itbz.commons.Constanrs;
import com.itbz.exception.UserNotFoundException;
import com.itbz.pojo.Users;
import com.itbz.service.UserLoginService;
import com.itbz.service.impl.UserLoginServiceImpl;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import java.io.IOException;

/**
 *处理用户登陆请求
 */
@WebServlet("/login.do")
public class UserLoginServlet  extends HttpServlet {
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        this.doPost(req,resp);
    }

    @Override
    protected void doPost(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        String username = req.getParameter("username");
        String userpwd = req.getParameter("userpwd");
        try {
            UserLoginService userLoginService =new UserLoginServiceImpl();
            Users users = userLoginService.userLogin(username,userpwd);
            //建立客户端与服务气的会话状态
            HttpSession session =req.getSession();
            session.setAttribute(Constanrs.USER_SESSION_KEY,users);
            //使用重定向方式跳转首页
            resp.sendRedirect("main.jsp");
        }catch (UserNotFoundException e) {
            e.printStackTrace();
        }catch (Exception e){

        }
    }
}
