package com.itbz.dao.impl;

import com.itbz.commons.JdbcUtils;
import com.itbz.dao.UserLoginDao;
import com.itbz.pojo.Users;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;

public class UserLoginDaoImpl  implements UserLoginDao {
    /**
     * 用户登录的数据库查询
     * @param username
     * @param userpwd
     * @return
     */


    @Override
    public Users selectUsersByUserNameAndUserPwd(String username, String userpwd) {
        //实例化数据库连接并赋值为空
        Connection connection = null;
        //实例化Users对象并赋值为空  方便对用户登录状态做判断
        Users users = null;
        try {
            //对数据库连接赋值
            connection = JdbcUtils.getConnection();
            //实例化SQL语句
            PreparedStatement preparedStatement =
                    connection.prepareStatement("select * from users where username = ? and userpwd = ?");
            //对SQL语句中的查询条件做绑定操作 username和userpwd做绑定操作
            preparedStatement.setString(1,username);
            preparedStatement.setString(2,userpwd);
            //执行SQL语句 并返回给resultSet
            ResultSet resultSet =preparedStatement.executeQuery();
            //循环resultSet对User对象属性赋值
            while(resultSet.next()){
                users=new Users();
                //取值 年龄
                users.setUsersex(resultSet.getString("usersex"));
                //取值 密码
                users.setUserpwd(resultSet.getString("userpwd"));
                //取值 名称
                users.setUsername(resultSet.getString("username"));
                //取值 id
                users.setUserid(resultSet.getInt("userid"));
                //取值 邮箱
                users.setPhonenumber(resultSet.getString("phonenumber"));
                //取值 QQ
                users.setQqnumber(resultSet.getString("qqnumber"));
            }
        }catch (Exception e){
            e.printStackTrace();
        } finally {

        }
        return users;
    }
}
