package com.itbz.service.impl;

import com.itbz.dao.UserLoginDao;
import com.itbz.dao.impl.UserLoginDaoImpl;
import com.itbz.exception.UserNotFoundException;
import com.itbz.pojo.Users;
import com.itbz.service.UserLoginService;

public class UserLoginServiceImpl implements UserLoginService {
    /**
     * 用户登陆业务
     * @param username
     * @param userpwd
     * @return
     */
    @Override
    public Users userLogin(String username, String userpwd) {
        //创建持久层登陆业务
        UserLoginDao userLoginDao =new UserLoginDaoImpl();
        //返回user对象数值
        Users users =userLoginDao.selectUsersByUserNameAndUserPwd(username,userpwd);
        //判断user是否为空，如果为空则提示错误“用户名或密码有误”，不为空则users
        if(users==null){
            //实例化异常错误
            throw new UserNotFoundException("用户名或密码有误");
        }
        return users;
    }
}
